Positions API

Positions represent your outcome share holdings in a market. When a market resolves, holders of the winning outcome can claim their payout. Positions are tracked both on-chain and via the API for convenience.

Position queries

View your outcome share holdings and unrealized P&L.

GET
/v1/positions

List all your positions across markets

Requires auth
GET
/v1/positions/{market_id}

Position details for a specific market

Requires auth

Claim winnings

Claim your payout from resolved markets.

POST
/v1/positions/{market_id}/claim

Claim winnings for a resolved market

Requires auth
POST
/v1/evm/write/positions/claim

Prepare a Claim transaction for signing

Requires auth
POST
/v1/evm/write/positions/claim-for

Prepare a ClaimFor transaction (claim on behalf of another wallet)

Requires auth